#!/bin/bash

E_MAUVAIS_REPERTOIRE=73

clear # Efface l'écran.

RepertoireCible=/home/bozo/projects/GreatAmericanNovel

cd $RepertoireCible
echo "Suppression des anciens fichiers de $RepertoireCible."

if [ "$PWD" != "$RepertoireCible" ]
then    # Empêche la suppression d'un mauvais répertoire par accident.
  echo "Mauvais répertoire!"
  echo "Dans $PWD, plutôt que $RepertoireCible!"
  echo "Je quitte!"
  exit $E_MAUVAIS_REPERTOIRE
fi  

rm -rf *
rm .[A-Za-z0-9]*    # Supprime les fichiers commençant par un point.
# rm -f .[^.]* ..?*   pour supprimer les fichiers commençant par plusieurs points.
# (shopt -s dotglob; rm -f *)   fonctionnera aussi.
# Merci, S.C., pour nous l'avoir indiqué.

# Les noms de fichier peuvent contenir tous les caractères de 0 à 255, 
# à l'exception de "/".
# La suppression des fichiers commençant par des caractères bizarres est laissée
# en exercice.

# Autres opérations ici, si nécessaire.

echo
echo "Fait."
echo "Anciens fichiers supprimés de $RepertoireCible."
echo


exit 0
